import { MigrationInterface, QueryRunner, TableColumn } from "typeorm";

export class FinishInternalIdTransfer1736505324488 implements MigrationInterface {
  name = "FinishInternalIdTransfer1736505324488";

  public async up(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.dropColumn("membership", "internalId");
  }

  public async down(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.addColumn(
      "membership",
      new TableColumn({
        name: "internalId",
        type: "varchar",
        length: "255",
        default: null,
        isNullable: true,
        isUnique: true,
      })
    );
  }
}
